Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorIvan Furnadjiev2019-04-05 04:39:11 -0400
committerThomas Watson2019-04-05 09:33:05 -0400
commit5df7eda553d8b0a164e2f2050c1b59b83461eedf (patch)
treebcc9c8c960360b8ff41747003b5d4a1d35a73d0c /LICENSE
parent8d497a20c7bd723e711e62d646878c333f39b01a (diff)
downloadrt.equinox.bundles-I20190410-1800.tar.gz
rt.equinox.bundles-I20190410-1800.tar.xz
rt.equinox.bundles-I20190410-1800.zip
For historical reasons (bug 360245), the exported by FrameworkLauncher#generateExtensionBundle package version of "javax.servlet.*" for Servlet 3.1 specification is 2.7. With the recent changes in "org.eclipse.equinox.http.servlet" MANIFEST.MF, the required "javax.servlet.*" package version is 3.1 (same as servlet spec). Change FrameworkLauncher#generateExtensionBundle to export "javax.servlet.*" for Servlet 3.1 as both 2.7 and 3.1. Bug 545682: org.eclipse.equinox.http.servlet and org.eclipse.equinox.servletbridge do not work together anymore in Tomcat 8.5.x Change-Id: I06fe1543400518ba3ea1104c8ceac52cfb6e567a Signed-off-by: Ivan Furnadjiev <ivan@eclipsesource.com> Signed-off-by: Thomas Watson <tjwatson@us.ibm.com>
Diffstat (limited to 'LICENSE')
0 files changed, 0 insertions, 0 deletions

Back to the top